## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate aws-nitro-enclaves-cose

Name:           rust-aws-nitro-enclaves-cose0.4
Version:        0.4.0
Release:        %autorelease
Summary:        Safe Rust implementation of COSE, with COSE Sign1 currently implemented

License:        Apache-2.0
URL:            https://crates.io/crates/aws-nitro-enclaves-cose
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump tss-esapi dependency from 6.1 to 7.0
Patch0:         aws-nitro-enclaves-cose-fix-metadata.diff
Patch1:         anec-fix-serdes.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
This library aims to provide a safe Rust implementation of COSE, with
COSE Sign1 currently implemented.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/NOTICE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+key_openssl_pkey-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+key_openssl_pkey-devel %{_description}

This package contains library source intended for building other packages which
use the "key_openssl_pkey" feature of the "%{crate}" crate.

%files       -n %{name}+key_openssl_pkey-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+key_tpm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+key_tpm-devel %{_description}

This package contains library source intended for building other packages which
use the "key_tpm" feature of the "%{crate}" crate.

%files       -n %{name}+key_tpm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tss-esapi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tss-esapi-devel %{_description}

This package contains library source intended for building other packages which
use the "tss-esapi" feature of the "%{crate}" crate.

%files       -n %{name}+tss-esapi-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Jul 11 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-2
- Fix missing compat suffix in package name

* Thu Jul 11 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Initial import (aws-nitro-enclaves-cose 0.4 compat package)
## END: Generated by rpmautospec
